package com.bs.ct.domain;

import com.bs.cm.domain.CmAttach;
import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 任务模板标签对象 ct_task_template_tag
 *
 * @author bs
 * @date 2025-02-22
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("ct_task_template_tag")
@Data
public class CtTaskTemplateTag extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    /** 任务模板id */

    @Excel(name = "任务模板id")
    @ApiModelProperty(value = "任务模板id")
    private Long templateId;

    /** 标签名称 */

    @Excel(name = "标签名称")
    @ApiModelProperty(value = "标签名称")
    private String tagName;

    /** 标签说明 */

    @Excel(name = "标签说明")
    @ApiModelProperty(value = "标签说明")
    private String tagDesc;

    /** 是否需要拍照 */

    @Excel(name = "是否需要拍照")
    @ApiModelProperty(value = "是否需要拍照")
    private String isPhoto;

    /** 拍照数量要求 */

    @Excel(name = "拍照数量要求")
    @ApiModelProperty(value = "拍照数量要求")
    private Long photoNum;

    /** 照片存放目录 */

    @Excel(name = "照片存放目录")
    @ApiModelProperty(value = "照片存放目录")
    private Long saveDir;

    /** 附件id */

    @Excel(name = "附件id")
    @ApiModelProperty(value = "附件id")
    private Long fileId;

    /** 备注 */

    @Excel(name = "备注")
    @ApiModelProperty(value = "备注")
    private String remarks;


    /** 附件id */

    @Excel(name = "附件")
    @ApiModelProperty(value = "附件")
    @TableField(exist = false)
    private List<CmAttach> files;

}
